<?php
namespace Claromentis\Projects\Comments;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_fee8ad32cafd14" . "e7ed89e05a85504" . "fb8" => base64_decode("cHJvamVjdHMudG" . "Fza19yZXBseV9w" . "b3N0ZWQ="), "_a71dc9333bd8ad95d55d6" . "624b477875f" => base64_decode("ZGF0" . "YQ=="), "_6e38cb9e043a07cd69a1711a6" . "704c62a" => base64_decode("cGF" . "yZW" . "50X" . "2lk"), "_692281770f7e78b4e16a657a42c2b" . "c58" => base64_decode("cHJvamVjdHMudGFza19kaXNjdXNza" . "W9uX3Bvc3RlZA=="), "_fa7526ba4ccc308fe611" . "86445986ceaa" => base64_decode("cmVjaX" . "BpZW50" . "cw=="));
use Claromentis\Comments\Model\Comment;
use Claromentis\Projects\Notification;
use Claromentis\Projects\Service\NotificationService;
class TaskCommentNotification
{
    private $_comment;
    private $_notification;
    public function __construct(Comment $_e8d840684607f6c2bbef523090642168, NotificationService $_88e3baed593bc10d4b7045181b4ac725)
    {
        $this->_comment = $_e8d840684607f6c2bbef523090642168;
        $_dadf790baf241afac942824c1e6e37c4 = NotificationService::TASK_DISCUSSION_POSTED;
        if ($_e8d840684607f6c2bbef523090642168->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_6e38cb9e043a07c" . "d69a1711a6704c62" . "a"]) > 0) {
            $_dadf790baf241afac942824c1e6e37c4 = NotificationService::TASK_REPLY_POSTED;
        }
        $_99aaa03a11622e16e59bff0771ea8ef3 = new Notification($_dadf790baf241afac942824c1e6e37c4, $this->_comment);
        $this->_notification = $_88e3baed593bc10d4b7045181b4ac725->GetNotificationData($_99aaa03a11622e16e59bff0771ea8ef3);
    }
    public function GetTemplate()
    {
        if ($this->_comment->parent_id == 0) {
            return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_692281770f7e78b" . "4e16a657a42c2bc5" . "8"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_fee8ad32cafd14e7ed89e05a85504" . "fb8"];
    }
    public function GetMessageParams()
    {
        return $this->_notification[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_a71dc9333bd8ad95d55d6624b477875" . "f"]];
    }
    public function GetRecipients()
    {
        return $this->_notification[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_fa7526ba4ccc" . "308fe61186445" . "986ceaa"]];
    }
    public function GetType()
    {
        return Notification::IM_TYPE_TASK;
    }
}